Bug 485179 - new Book_Info.po files have incorrect "Project-Id-Version", causing non en-US builds to fail
new Book_Info.po files have incorrect "Project-Id-Version", causing non en-US...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 00:15 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 02:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-02-12 00:15:25 EST
Description of problem:

Newly created Book_Info.po files (make update-pot update-po-all) contain a Project-Id-Version similar to the following:

"Project-Id-Version: Security-Enhanced_Linux VERSION\n"

This causes non en-US builds to fail.

Version-Release number of selected component (if applicable):

publican-0.41-3.el5


How reproducible:

Always.


Steps to Reproduce:

0. create_book --name test
1. cd test/
2. uncomment the "OTHER_LANGS" options in Makefile
3. make update-pot update-po-all
4. make html-es-ES (anything other than en-US)
  
Actual results:

END: test-es-ES Thu Feb 12 15:09:18 EST 2009
START: html-es-ES Thu Feb 12 15:09:18 EST 2009
cd tmp/es-ES/html; if [ -f /usr/share/publican/xsl/common/html.xsl ]; then xsl_file="/usr/share/publican/xsl/common/html.xsl"; else xsl_file="/usr/share/publican/xsl/html.xsl";fi; if [ "1" == "1" ]; then echo "Running Saxon: $xsl_file"; java -cp "/usr/share/java/saxon.jar:/usr/share/java/xerces-j2.jar:/usr/share/java/xml-commons-resolver.jar:/usr/share/publican/xsl:/usr/share/publican/xsl/saxon65.jar:/usr/share/java/xslthl.jar" -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration -Dxslthl.config="file:///usr/share/xslthl/xslthl-config.xml" com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver -o tmppoofu.html ../xml/test.xml $xsl_file doc.url="https://fedorahosted.org/publican" prod.url="https://fedorahosted.org/publican" toc.section.depth="2" chunk.section.depth="4" confidential=0 profile.lang="es-ES" l10n.gentext.language="es-ES" show.comments=0 embedtoc=0 chunk.first.sections="0" generate.section.toc.level=0 use.extensions=1 tablecolumns.extensions=1 package=Documentation-test-0.1-es-ES-0-test VERSION; rm tmppoofu.html; else echo "Running xsltproc:"; XML_CATALOG_FILES="/usr/share/publican/xsl/docbook/dtd-4.5/catalog.xml /usr/share/publican/xsl/docbook/1.72.0/catalog.xml" xsltproc --stringparam doc.url "https://fedorahosted.org/publican" --stringparam prod.url "https://fedorahosted.org/publican" --stringparam toc.section.depth "2" --stringparam chunk.section.depth "4" --stringparam confidential "0" --stringparam profile.lang "es-ES" --stringparam l10n.gentext.language "es-ES" --stringparam show.comments 0 --stringparam embedtoc 0 --stringparam chunk.first.sections "0" --stringparam generate.section.toc.level 0 --stringparam package "Documentation-test-0.1-es-ES-0-test VERSION" --xinclude $xsl_file ../xml/test.xml; fi;
Running Saxon: /usr/share/publican/xsl/html.xsl
Bad param=value pair on command line
SAXON 6.5.5 from Michael Kay
Usage:  java com.icl.saxon.StyleSheet [options] source-doc style-doc {param=value}...
Options: 
  -a              Use xml-stylesheet PI, not style-doc argument 
  -ds             Use standard tree data structure 
  -dt             Use tinytree data structure (default)
  -o filename     Send output to named file or directory 
  -m classname    Use specified Emitter class for xsl:message output 
  -r classname    Use specified URIResolver class 
  -t              Display version and timing information 
  -T              Set standard TraceListener
  -TL classname   Set a specific TraceListener
  -u              Names are URLs not filenames 
  -w0             Recover silently from recoverable errors 
  -w1             Report recoverable errors and continue (default)
  -w2             Treat recoverable errors as fatal
  -x classname    Use specified SAX parser for source file 
  -y classname    Use specified SAX parser for stylesheet 
  -?              Display this message 
rm: cannot remove `tmppoofu.html': No such file or directory
make: *** [html-es-ES] Error 1

Expected results:

"Project-Id-Version: 0\n" in newly created Book_Info.po files.
Comment 1 Jeff Fearn 2009-02-12 02:08:02 EST
Added code to Makefile.template to set this field correctly in the Info po file when it is created.
Comment 2 Fedora Update System 2009-03-18 19:57:04 EDT
publican-fedora-0.18-0.fc10,publican-0.44-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.18-0.fc10,publican-0.44-0.fc10
Comment 3 Fedora Update System 2009-03-26 10:53:11 EDT
publican-fedora-0.18-0.fc10, publican-0.44-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.